#!/bin/bash
echo "RUN $(basename "$0") ==="

cd /tmp
wget -O glpi.deb https://github.com/glpi-project/glpi-agent/releases/download/1.4/glpi-agent_1.4-1_all.deb
dpkg -i glpi.deb
rm glpi.deb
apt-get -fy install
sed -i 's@#server =.*inventory.php@server = https://glpi.tetras-libre.fr/front/inventory.php@' /etc/glpi-agent/agent.cfg
sed -i 's@tag =.*@tag = tetras-libre@' /etc/glpi-agent/agent.cfg
glpi-agent
systemctl restart glpi-agent
systemctl enable glpi-agent
