#!/bin/bash
echo "RUN $(basename "$0") ==="

if [ -z "$1" ]
then
    echo "Usage $0 ip"
    echo "Undo fail2ban for all protocols for ip"
    exit 1
fi
ip=$1

# Trying to remove from all jails
ret=$(fail2ban-client unban $ip)
if [ $ret -eq 1 ]; then
    echo "$ip unbanned"
else
    echo "$ip was not banned"
fi
# To avoid mail report
sed -i "/Ban $ip/d" /var/log/fail2ban.log
