#!/bin/bash

echo "RUN $(basename "$0") ==="

# Check rootkits and antivirus
if [ `grep -c "^ALLOWHIDDENDIR=/etc/.java" /etc/rkhunter.conf` -eq 0 ]
then
    echo "ALLOWHIDDENDIR=/etc/.java" >> /etc/rkhunter.conf
fi
if [ `egrep -c '^\s*WEB_CMD="/bin/false"' /etc/rkhunter.conf` -gt 0 ]
then
    sed -ie 's@^\s*\(WEB_CMD="/bin/false"\)@# \1@' /etc/rkhunter.conf
fi
sed -ie 's/ALLOW_SSH_ROOT_USER=.*/ALLOW_SSH_ROOT_USER=prohibit-password/' /etc/rkhunter.conf
rkhunter --update > /dev/null
rkhunter --propupdate
rkhunter --sk -c
if [ `crontab -l | grep -c "clamav-weekly"` -eq 0 ]
then
    echo -e "\tERROR : clamav weekly not installed"
else
    cat /var/log/clamav.log
fi
