
# Copyright (C) 2017  Tetras Libre <admin@tetras-libre.fr>
# Author: Curt, Sebastien <Sebastien.Curt@tetras-libre.fr>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

echo "RUN $(basename "$0") ==="

NEXTCLOUD_INSTALL_DIR="/var/www/nextcloud/"
APPS="tasks news talk calendar contacts impersonate"

# Take 1 parameters: app_id
install_app () {
    application=$1
    sudo -u www-data php ${NEXTCLOUD_INSTALL_DIR}occ app:install ${application}
    echo "\tEnable ${application} : terminated, code $?"
}

for app in $APPS
do
    install_app $app
done

unset NEXTCLOUD_INSTALL_DIR
