#!/bin/bash
# Get Dolideb version list
curl \
    https://sourceforge.net/projects/dolibarr/files/Dolibarr%20installer%20for%20Debian-Ubuntu%20%28DoliDeb%29/ \
    2> /dev/null | sed 's/,/\n/g'| grep 'class="name"' | grep -v 'README\|file_title_url' | grep -v '[0-9]\.0\.0' | sed 's/.*\([0-9][0-9].[0-9].[0-9]\).*/\1/' > $$-list

# Get next version number
current_major=`echo $current_version | cut -d . -f 1`
num=$1
ver=$(grep "$num" $$-list | head -n 1)

rm $$-list
echo https://sourceforge.net/projects/dolibarr/files/Dolibarr%20installer%20for%20Debian-Ubuntu%20%28DoliDeb%29//$ver/dolibarr_$ver-4_all.deb/download $ver
